package com.najva.najvaflutter;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class NajvaNotificationClickReceiver extends BroadcastReceiver {

    private OnNotificationClickListener listener;

    public NajvaNotificationClickReceiver(OnNotificationClickListener listener){

        this.listener = listener;
    }

    @Override
    public void onReceive(Context context, Intent intent) {
        if (intent == null) return;
        Map<String,String> map = new HashMap<>();
        Set<String> keys = intent.getExtras().keySet();
        for (String key : keys){
            if (intent.getExtras().get(key)!=null){
                map.put(key,intent.getExtras().get(key).toString());
            }
        }
        listener.onClicked(map);
    }

    public interface OnNotificationClickListener{
        void onClicked(Map<String,String> data);
    }
}
