package com.najva.najvaflutter;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import com.najva.sdk.Najva;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class NajvaNotificationReceiver extends BroadcastReceiver {

    private OnNotificationReceiveListener listener;

    public NajvaNotificationReceiver(OnNotificationReceiveListener listener){

        this.listener = listener;
    }

    @Override
    public void onReceive(Context context, Intent intent) {
        if (intent == null) return;
        Map<String,String> map = new HashMap<>();
        Set<String> keys = intent.getExtras().keySet();
        for (String key : keys){
            if (intent.getExtras().get(key)!=null){
                map.put(key,intent.getExtras().get(key).toString());
            }
        }
        listener.onReceive(map);
    }

    public interface OnNotificationReceiveListener {
        void onReceive(Map<String,String> data);
    }
}
