import 'package:flutter/material.dart';

import 'Najva.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';
  Najva najva;

  @override
  void initState() {
    super.initState();
    najva = new Najva();
    najva.getSubscribedToken().then((token) => {
          setState(() {
            _platformVersion = token;
          })
        });
  }

  void onButtonClicked() {
    najva.getSubscribedToken().then((token) => {
          // ignore: sdk_version_set_literal
          print("token: $token"),
          setState(() {
            _platformVersion = token;
          })
        });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Center(child: Text("Running on $_platformVersion")),
        ),
        bottomNavigationBar: ButtonBar(
          children: <Widget>[
            RaisedButton(
              onPressed: onButtonClicked,
              child: Text("Update Najva Token"),
              color: Colors.blue,
            )
          ],
        ),
      ),
    );
  }
}
